%global momorel 1

Summary: Looking up module information / loading at runtime
Name: perl-Module-Load-Conditional
Version: 0.26
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Module/Module-Load-Conditional-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Module/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 1:5.8.8
BuildArch: noarch
BuildRequires: perl-Module-Load
BuildRequires: perl-Params-Check

%description
Allows you to query the state of modules on your system. It can
tell you if you have certain modules installed without attempting
to C<use> them and can do smart loading of modules.
Also it can tell you what *other* modules a certain module
requires.

%prep
%setup -q -n Module-Load-Conditional-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Module-Load-Conditional-%{version}-filelist
if [ "$(cat Module-Load-Conditional-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Module-Load-Conditional-%{version}-filelist
%defattr(-,root,root)
%doc README*

%changelog
* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.26-1m)
- update to 0.26

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.22-2m)
- rebuild against gcc43

* Mon Oct 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.22-1m)
- update to 0.22

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20-1m)
- update to 0.20

* Sun Sep 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.18-1m)
- update to 0.18
- do not use %%NoSource macro

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.16-2m)
- use vendor

* Sun Jan 28 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.16-1m)
- update to 0.16

* Thu Jan  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.14-1m)
- update to 0.14

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.12-1m)
- spec file was autogenerated
